Skip to content
Start here

Create a new Provider Configs

client.aiGateway.providerConfigs.create(stringgatewayId, ProviderConfigCreateParams { account_id, alias, default_config, 5 more } params, RequestOptionsoptions?): ProviderConfigCreateResponse { id, alias, default_config, 7 more }
POST/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/provider_configs

Creates a new AI Gateway.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Secrets Store Write
ParametersExpand Collapse
gatewayId: string

gateway id

maxLength64
minLength1
params: ProviderConfigCreateParams { account_id, alias, default_config, 5 more }
account_id: string

Path param

alias: string

Body param

default_config: boolean

Body param

provider_slug: string

Body param

secret: string

Body param

secret_id: string

Body param

rate_limit?: number

Body param

rate_limit_period?: number

Body param

ReturnsExpand Collapse
ProviderConfigCreateResponse { id, alias, default_config, 7 more }
id: string
alias: string
default_config: boolean
gateway_id: string

gateway id

maxLength64
minLength1
modified_at: string
formatdate-time
provider_slug: string
secret_id: string
secret_preview: string
rate_limit?: number
rate_limit_period?: number

Create a new Provider Configs

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const providerConfig = await client.aiGateway.providerConfigs.create('my-gateway', {
  account_id: '3ebbcb006d4d46d7bb6a8c7f14676cb0',
  alias: 'alias',
  default_config: true,
  provider_slug: 'provider_slug',
  secret: 'secret',
  secret_id: 'secret_id',
});

console.log(providerConfig.id);
{
  "result": {
    "id": "id",
    "alias": "alias",
    "default_config": true,
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "provider_slug": "provider_slug",
    "secret_id": "secret_id",
    "secret_preview": "secret_preview",
    "rate_limit": 0,
    "rate_limit_period": 0
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "alias": "alias",
    "default_config": true,
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "provider_slug": "provider_slug",
    "secret_id": "secret_id",
    "secret_preview": "secret_preview",
    "rate_limit": 0,
    "rate_limit_period": 0
  },
  "success": true
}